PHP 5.6.0RC3 is available

Installation

Sous UNIX, lancez configure avec l'option --with-sablot ou --with-xslt-sablot . La bibliothèque Sablotron doit être installée là où le compilateur peut la trouver.

Assurez-vous d'avoir la même bibliothèque, compilée avec Sablotron que celle qui est fournie avec PHP. Les options de configuration : --with-expat-dir=DIR --with-iconv-dir=DIR sont disponibles pour vous aider à les spécifier correctement. Lorsque vous demandez de l'aide, mentionnez toujours ces directives, ainsi que si vous avez d'autres bibliothèques installées sur votre système. Naturellement, fournissez les numéros de version.

Attention

Assurez-vous que votre bibliothèque Sablotron soit correctement reliée à -lstdc++. Dans le cas contraire, votre configuration échouera ou bien PHP refusera de fonctionner ou de se charger.

Note: Support de JavaScript E-XSLT
Si vous compilez Sablotron avec le support JavaScript, vous devez spécifier cette option : --with-sablot-js .

Note: Note aux utilisateurs Win32

Afin de faire fonctionner cette extension, quelques bibliothèques DLL doivent être disponibles via le PATH du système Windows. Lisez la FAQ intitulée "Comment ajouter mon dossier PHP à mon PATH WIndows" pour plus d'informations. Le fait de copier les bibliothèques DLL depuis le dossier PHP dans le dossier système Windows fonctionne également (car le dossier système est par défaut dans le PATH système), mais cette méthode n'est pas recommandée. Cette extension nécessite que les fichiers suivants se trouvent dans le PATH : sablot.dll, expat.dll, et iconv.dll.

En PHP <= 4.2.0, le fichier iconv.dll n'est pas nécessaire.

add a note add a note

User Contributed Notes

There are no user contributed notes for this page.
To Top